Debian Bug report logs - #675834
hsqldb: FTBFS: The import java.sql.SQLFeatureNotSupportedException cannot be resolved

version graph

Package: src:hsqldb; Maintainer for src:hsqldb is Debian QA Group <packages@qa.debian.org>;

Reported by: debian-bsd@lists.debian.org

Date: Sun, 3 Jun 2012 15:48:02 UTC

Severity: serious

Tags: sid, wheezy

Found in version hsqldb/1.8.0.10-12

Fixed in versions hsqldb/1.8.0.10-13, hsqldb/1.8.1.3-6

Done: Rene Engelhard <rene@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-bsd@lists.debian.org, Rene Engelhard <rene@debian.org>:
Bug#675834; Package src:hsqldb. (Sun, 03 Jun 2012 15:48:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to debian-bsd@lists.debian.org:
New Bug report received and forwarded. Copy sent to debian-bsd@lists.debian.org, Rene Engelhard <rene@debian.org>. (Sun, 03 Jun 2012 15:48:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Christoph Egger <christoph@debian.org>
To: submit@bugs.debian.org
Subject: hsqldb: FTBFS: The import java.sql.SQLFeatureNotSupportedException cannot be resolved
Date: Sun, 03 Jun 2012 17:44:59 +0200
Package: src:hsqldb
Version: 1.8.0.10-12
Severity: serious
Tags: sid wheezy
User: debian-bsd@lists.debian.org
Usertags: kfreebsd
X-Debbugs-Cc: debian-bsd@lists.debian.org
Justification: fails to build from source (but built successfully in the past)

Hi!

Your package failed to build on the kfreebsd-* buildds:

    [javac] ----------
    [javac] 63. ERROR in /build/buildd-hsqldb_1.8.0.10-12-kfreebsd-i386-jVOlcW/hsqldb-1.8.0.10/src/org/hsqldb/jdbcDriver.java (at line 46)
    [javac] 	import java.sql.SQLFeatureNotSupportedException;
    [javac] 	       ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
    [javac] The import java.sql.SQLFeatureNotSupportedException cannot be resolved
    [javac] ----------
    [javac] 64. ERROR in /build/buildd-hsqldb_1.8.0.10-12-kfreebsd-i386-jVOlcW/hsqldb-1.8.0.10/src/org/hsqldb/jd
    [javac] bcDriver.java (at line 331)
    [javac] 	public Logger getParentLogger() throws SQLFeatureNotSupportedException
    [javac] 	                                       ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
    [javac] SQLFeatureNotSupportedException cannot be resolved to a type
    [javac] ----------
    [javac] 65. ERROR in /build/buildd-hsqldb_1.8.0.10-12-kfreebsd-i386-jVOlcW/hsqldb-1.8.0.10/src/org/hsqldb/jdbcDriver.java (at line 333)
    [javac] 	throw new SQLFeatureNotSupportedException("Not supported yet.");
    [javac] 	          ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
    [javac] SQLFeatureNotSupportedException cannot be resolved to a type
    [javac] ----------

Full build log at
https://buildd.debian.org/status/fetch.php?pkg=hsqldb&arch=kfreebsd-i386&ver=1.8.0.10-12&stamp=1338728705

Regards

    Christoph

If you have further questions please mail debian-bsd@lists.debian.org

-- 
9FED 5C6C E206 B70A 5857  70CA 9655 22B9 D49A E731
Debian Developer | Lisp Hacker | CaCert Assurer




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#675834; Package src:hsqldb. (Sun, 03 Jun 2012 16:18:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Rene Engelhard <rene@debian.org>:
Extra info received and forwarded to list. (Sun, 03 Jun 2012 16:18:08 GMT) Full text and rfc822 format available.

Message #10 received at 675834@bugs.debian.org (full text, mbox):

From: Rene Engelhard <rene@debian.org>
To: debian-bsd@lists.debian.org, 675834@bugs.debian.org
Cc: jmm@debian.org, 675495@bugs.debian.org
Subject: Re: Bug#675834: hsqldb: FTBFS: The import java.sql.SQLFeatureNotSupportedException cannot be resolved
Date: Sun, 3 Jun 2012 18:07:33 +0200
[ Ccing Moritz and #675495 ]

Hi,

On Sun, Jun 03, 2012 at 05:44:59PM +0200, Christoph Egger wrote:
> Your package failed to build on the kfreebsd-* buildds:

More: s/on the kfreebsd-* buildds/with gcj/

Interesting. This should be JAVA7 only:

+//#ifdef JAVA7
+    public Logger getParentLogger() throws SQLFeatureNotSupportedException
+    {
+        throw new SQLFeatureNotSupportedException("Not supported yet.");
+    }
+
+//#endif JAVA7

> If you have further questions please mail debian-bsd@lists.debian.org

Yes, when is kFreeBSD getting a ported OpenJDK(7)?

I mean this upload just was a upload getting the fix from LibreOffice
over to hsqldb to fix build with JDK7 as the security team apparently
thinks getting rid of OpenJDK6 two weeks before the freeze/inside the freeze
is a good idea.
(This also means that LO 3.6+ and LO 3.5.4-1+ - which got the patch, too -
won't also build on kfreebsd-* if using the embedded hsqldb...)

But maybe we should just stop the native compilation, which makes this a pure
_all package and then it can build everywjere (and we can then ignore that this
is not building on gcj archs as noone seriously will build there for _all
packages)

Regards,

Rene




Information forwarded to debian-bugs-dist@lists.debian.org, Rene Engelhard <rene@debian.org>:
Bug#675834; Package src:hsqldb. (Sun, 03 Jun 2012 16:48:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christoph Egger <christoph@debian.org>:
Extra info received and forwarded to list. Copy sent to Rene Engelhard <rene@debian.org>. (Sun, 03 Jun 2012 16:48:05 GMT) Full text and rfc822 format available.

Message #15 received at 675834@bugs.debian.org (full text, mbox):

From: Christoph Egger <christoph@debian.org>
To: Rene Engelhard <rene@debian.org>
Cc: debian-bsd@lists.debian.org, 675834@bugs.debian.org, jmm@debian.org, 675495@bugs.debian.org
Subject: Re: Bug#675834: hsqldb: FTBFS: The import java.sql.SQLFeatureNotSupportedException cannot be resolved
Date: Sun, 03 Jun 2012 18:46:00 +0200
Rene Engelhard <rene@debian.org> writes:
> [ Ccing Moritz and #675495 ]
>
> Hi,
>
> On Sun, Jun 03, 2012 at 05:44:59PM +0200, Christoph Egger wrote:
>> Your package failed to build on the kfreebsd-* buildds:
>
> More: s/on the kfreebsd-* buildds/with gcj/
>
> Interesting. This should be JAVA7 only:
>
> +//#ifdef JAVA7
> +    public Logger getParentLogger() throws SQLFeatureNotSupportedException
> +    {
> +        throw new SQLFeatureNotSupportedException("Not supported yet.");
> +    }
> +
> +//#endif JAVA7
>
>> If you have further questions please mail debian-bsd@lists.debian.org
>
> Yes, when is kFreeBSD getting a ported OpenJDK(7)?

  As the build problems seem to go away with wheezy's schroot/sbuild
that'd be an upper limit ;-). It's on my ToDo list to further track it
down so we can have a openjdk-7 *in* wheezy and other people have been
looking on it as well but no promises here (at least from my side).

> But maybe we should just stop the native compilation, which makes this a pure
> _all package and then it can build everywjere (and we can then ignore that this
> is not building on gcj archs as noone seriously will build there for _all
> packages)

If that will work for you I'm fine with it.

Regards

    Christoph

-- 
9FED 5C6C E206 B70A 5857  70CA 9655 22B9 D49A E731
Debian Developer | Lisp Hacker | CaCert Assurer




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#675834; Package src:hsqldb. (Sun, 03 Jun 2012 21:15:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Rene Engelhard <rene@debian.org>:
Extra info received and forwarded to list. (Sun, 03 Jun 2012 21:15:11 GMT) Full text and rfc822 format available.

Message #20 received at 675834@bugs.debian.org (full text, mbox):

From: Rene Engelhard <rene@debian.org>
To: Christoph Egger <christoph@debian.org>
Cc: debian-bsd@lists.debian.org, 675834@bugs.debian.org, jmm@debian.org, 675495@bugs.debian.org
Subject: Re: Bug#675834: hsqldb: FTBFS: The import java.sql.SQLFeatureNotSupportedException cannot be resolved
Date: Sun, 3 Jun 2012 23:05:01 +0200
Hi,

On Sun, Jun 03, 2012 at 06:46:00PM +0200, Christoph Egger wrote:
> > But maybe we should just stop the native compilation, which makes this a pure
> > _all package and then it can build everywjere (and we can then ignore that this
> > is not building on gcj archs as noone seriously will build there for _all
> > packages)
> 
> If that will work for you I'm fine with it.

Well, it works, but I don't like it. As it slows down the Java stuff on
kfreebsd-* much. (I originally also wanted to reenable libreoffice-gcj
when gcc-defaults get sorted out for the same reson) :(

Regards,

Rene




Reply sent to Rene Engelhard <rene@debian.org>:
You have taken responsibility. (Fri, 22 Jun 2012 17:21:04 GMT) Full text and rfc822 format available.

Notification sent to debian-bsd@lists.debian.org:
Bug acknowledged by developer. (Fri, 22 Jun 2012 17:21:04 GMT) Full text and rfc822 format available.

Message #25 received at 675834-close@bugs.debian.org (full text, mbox):

From: Rene Engelhard <rene@debian.org>
To: 675834-close@bugs.debian.org
Subject: Bug#675834: fixed in hsqldb 1.8.0.10-13
Date: Fri, 22 Jun 2012 17:18:06 +0000
Source: hsqldb
Source-Version: 1.8.0.10-13

We believe that the bug you reported is fixed in the latest version of
hsqldb, which is due to be installed in the Debian FTP archive:

hsqldb-server_1.8.0.10-13_all.deb
  to main/h/hsqldb/hsqldb-server_1.8.0.10-13_all.deb
hsqldb-utils_1.8.0.10-13_all.deb
  to main/h/hsqldb/hsqldb-utils_1.8.0.10-13_all.deb
hsqldb_1.8.0.10-13.diff.gz
  to main/h/hsqldb/hsqldb_1.8.0.10-13.diff.gz
hsqldb_1.8.0.10-13.dsc
  to main/h/hsqldb/hsqldb_1.8.0.10-13.dsc
libhsqldb-java-doc_1.8.0.10-13_all.deb
  to main/h/hsqldb/libhsqldb-java-doc_1.8.0.10-13_all.deb
libhsqldb-java_1.8.0.10-13_all.deb
  to main/h/hsqldb/libhsqldb-java_1.8.0.10-13_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 675834@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Rene Engelhard <rene@debian.org> (supplier of updated hsqldb package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Wed, 20 Jun 2012 11:45:35 +0200
Source: hsqldb
Binary: libhsqldb-java libhsqldb-java-doc hsqldb-server hsqldb-utils
Architecture: source all
Version: 1.8.0.10-13
Distribution: unstable
Urgency: low
Maintainer: Rene Engelhard <rene@debian.org>
Changed-By: Rene Engelhard <rene@debian.org>
Description: 
 hsqldb-server - Java SQL database server
 hsqldb-utils - Java SQL database engine (utilities)
 libhsqldb-java - Java SQL database engine
 libhsqldb-java-doc - documentation for HSQLDB
Closes: 675834
Changes: 
 hsqldb (1.8.0.10-13) unstable; urgency=low
 .
   * explicitly build with openjdk-7 as the Java7 patch doesn't
     seem to be working with gcj (closes: #675834). Thus ...
   * ... disable -gcj
Checksums-Sha1: 
 6979038424149f784f6f31d1ff31a9f0bd1176bc 1940 hsqldb_1.8.0.10-13.dsc
 677ed1784b3738f82aa324b7a66d32cd9e47793e 19550 hsqldb_1.8.0.10-13.diff.gz
 a60804569a15de030b853ffbb7016fc84bc5c9eb 937784 libhsqldb-java_1.8.0.10-13_all.deb
 6079c6e3082af6c9f8e7b24d365da8450d4983a4 906232 libhsqldb-java-doc_1.8.0.10-13_all.deb
 9e69c93b388a04290721db5df58c3b20bfc4c8e0 50856 hsqldb-server_1.8.0.10-13_all.deb
 39efdd4daf9feda923fdba4ea05a83d4ebeb44cc 31174 hsqldb-utils_1.8.0.10-13_all.deb
Checksums-Sha256: 
 a7ab745b68bea67af870f9265c4e31088e3287bdc67437553e79bc78acfcd39e 1940 hsqldb_1.8.0.10-13.dsc
 d447b021b4847e352491a0fdc051feb52e6a458501980a09eed1bc3767ada052 19550 hsqldb_1.8.0.10-13.diff.gz
 a195fe85b9f898548202c9dc5b87e3f62f4157f6540236fe940fd758f5b4e93a 937784 libhsqldb-java_1.8.0.10-13_all.deb
 cb173e5c47ed8cb2d66b0c14d9682024d0d48dc0b113af838a7ba696a9d45dd3 906232 libhsqldb-java-doc_1.8.0.10-13_all.deb
 6d1fa9fdc1b4d5c6483b706f07f97f8053f3e0868558238ecfd92049e68ecf41 50856 hsqldb-server_1.8.0.10-13_all.deb
 674d68b1847a2518de4baf11b04424a1682e990973936b7e08b80a2e5e16c12f 31174 hsqldb-utils_1.8.0.10-13_all.deb
Files: 
 6cdd693407336c81309d9cf1f51f4812 1940 libs optional hsqldb_1.8.0.10-13.dsc
 58daf7e9fe26aaa711e1f370145c910c 19550 libs optional hsqldb_1.8.0.10-13.diff.gz
 90a495d1d7b422ccbc08202aaffad8ee 937784 java optional libhsqldb-java_1.8.0.10-13_all.deb
 66dc821a75c176d64d442ab5d928a381 906232 doc optional libhsqldb-java-doc_1.8.0.10-13_all.deb
 1c90c5220e7013d9d0470c0863b4b1c7 50856 database optional hsqldb-server_1.8.0.10-13_all.deb
 2a9034a1812b7239ab6d84c40a35f794 31174 database optional hsqldb-utils_1.8.0.10-13_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJP5KXrAAoJEAqgRXHQPj5wVn4P/15z/BjYbjF/iWORCdb0/+CO
MxTtwZ/gUckLd0pr1nKG2/uwiDfy/jIp83GVUxGTYOA1+9aAxO9zwZBCWcdSWBd1
julsJSkhZSI/NnZbF8WGfuIA1oUyqIDuhOXyj2xQ/PmasfGfkSGVyiN1s6BtrKRB
i0H9VHkPwjFUhxbZa9o5tG6/XlGZjP5SMk4O0nImvXLmqYVxnhlF6BfL7nW94c/N
p6pI0ehz9G6wCQHLQhYptoloBWUzRBir71HuqGDbuPf3fsSulIy8b3GTamTZKwHw
+RywclQQjuPKpztVNEti2mYZ16U7JhVgmEVNQhZNffnwH2yl1IhiefDMPJQWHOSe
ZiOwz8UzAb5aSL8g41iSXmBFpu94Zxuo4bwtJgj/rbxGsCcQm8vSZRTDb8/9+pNB
zOTeZYNWtja63bM55t0JqvPPL/dH+hI18gojrQoWqEjn7mNnte+wVJzqUI9vMl/w
V7KWW33jmxggZHwbLn3gI555PVPruSA1N4i/aCYT5CeJC2e+btGaabmAdAkP1M74
avXk7RF0+GWPiVEUo5MiILwYm49BAVcVhVXFwRIsGGbCEnkfxTJ3P+c8rbnPZy0Z
uCmdOy3pLZRYeq08qkbOQMlCGlFiyttM54o+wGxRcjrlThoS/49teVl00emmfjZi
fzrWSe5x5FlxHzo7gA9y
=wwad
-----END PGP SIGNATURE-----





Reply sent to Rene Engelhard <rene@debian.org>:
You have taken responsibility. (Fri, 22 Jun 2012 17:21:06 GMT) Full text and rfc822 format available.

Notification sent to debian-bsd@lists.debian.org:
Bug acknowledged by developer. (Fri, 22 Jun 2012 17:21:06 GMT) Full text and rfc822 format available.

Message #30 received at 675834-close@bugs.debian.org (full text, mbox):

From: Rene Engelhard <rene@debian.org>
To: 675834-close@bugs.debian.org
Subject: Bug#675834: fixed in hsqldb 1.8.1.3-6
Date: Fri, 22 Jun 2012 17:18:19 +0000
Source: hsqldb
Source-Version: 1.8.1.3-6

We believe that the bug you reported is fixed in the latest version of
hsqldb, which is due to be installed in the Debian FTP archive:

hsqldb-server_1.8.1.3-6_all.deb
  to main/h/hsqldb/hsqldb-server_1.8.1.3-6_all.deb
hsqldb-utils_1.8.1.3-6_all.deb
  to main/h/hsqldb/hsqldb-utils_1.8.1.3-6_all.deb
hsqldb_1.8.1.3-6.diff.gz
  to main/h/hsqldb/hsqldb_1.8.1.3-6.diff.gz
hsqldb_1.8.1.3-6.dsc
  to main/h/hsqldb/hsqldb_1.8.1.3-6.dsc
libhsqldb-java-doc_1.8.1.3-6_all.deb
  to main/h/hsqldb/libhsqldb-java-doc_1.8.1.3-6_all.deb
libhsqldb-java_1.8.1.3-6_all.deb
  to main/h/hsqldb/libhsqldb-java_1.8.1.3-6_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 675834@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Rene Engelhard <rene@debian.org> (supplier of updated hsqldb package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Fri, 22 Jun 2012 19:01:32 +0200
Source: hsqldb
Binary: libhsqldb-java libhsqldb-java-doc hsqldb-server hsqldb-utils
Architecture: source all
Version: 1.8.1.3-6
Distribution: experimental
Urgency: low
Maintainer: Rene Engelhard <rene@debian.org>
Changed-By: Rene Engelhard <rene@debian.org>
Description: 
 hsqldb-server - Java SQL database server
 hsqldb-utils - Java SQL database engine (utilities)
 libhsqldb-java - Java SQL database engine
 libhsqldb-java-doc - documentation for HSQLDB
Closes: 675834
Changes: 
 hsqldb (1.8.1.3-6) experimental; urgency=low
 .
   * merge hsqldb 1.8.0.10-13:
     + explicitly build with openjdk-7 as the Java7 patch doesn't
       seem to be working with gcj (closes: #675834). Thus ...
     + ... disable -gcj
Checksums-Sha1: 
 bea2f49445ec10389c0b2bcf421ba9c4d4b9540a 1932 hsqldb_1.8.1.3-6.dsc
 038f005fa0ccbb914ee8811d2bebf79c4413a3bd 244383 hsqldb_1.8.1.3-6.diff.gz
 9f308d285991dfcaad24e5871d60cd4dc914ed92 952548 libhsqldb-java_1.8.1.3-6_all.deb
 1ab92f1361a2bec70b5c6e577e8db97ba54cef12 556212 libhsqldb-java-doc_1.8.1.3-6_all.deb
 3d0b1e90df11fc8b68a57776d7a4bf5ed628114b 51268 hsqldb-server_1.8.1.3-6_all.deb
 334f5ba27d6f48b6038ef0646bfbd417a21846e6 31656 hsqldb-utils_1.8.1.3-6_all.deb
Checksums-Sha256: 
 38581daea0a35f57952d4c3187358a69e957c91b7b8971d8a6a0fca8f909878d 1932 hsqldb_1.8.1.3-6.dsc
 8d9d467c8448860fd6952e22b5c3303888a3bf26f40c2d246e81d144d62763bc 244383 hsqldb_1.8.1.3-6.diff.gz
 0d71a63457f010c104214ac158186d9d4f3cd1234517e0378386e9d6cfd968b1 952548 libhsqldb-java_1.8.1.3-6_all.deb
 ea71114a35c5d7979792a912eb3b33fbda93c67c50df24553f2e4cc8641c66a9 556212 libhsqldb-java-doc_1.8.1.3-6_all.deb
 7725daa81a15049ee4bfb44401f3fea36f31de65cd1a389c3d0090680e51f191 51268 hsqldb-server_1.8.1.3-6_all.deb
 ef130ca59ef7c699c2e197a510c78d11b0dab7509b3eaf0080a0a5e5eb94508c 31656 hsqldb-utils_1.8.1.3-6_all.deb
Files: 
 1441913dcfba497ed57cb1a9e4750836 1932 libs optional hsqldb_1.8.1.3-6.dsc
 3524a1d111a1168f9f6f7063a1367dbc 244383 libs optional hsqldb_1.8.1.3-6.diff.gz
 fdc7d6a67e6db5ebb11ce8f1d5f4f537 952548 java optional libhsqldb-java_1.8.1.3-6_all.deb
 a0c59933992852e7334d784b2fb3e945 556212 doc optional libhsqldb-java-doc_1.8.1.3-6_all.deb
 04b502c6bee3d7dd083570fd8beaf7bb 51268 database optional hsqldb-server_1.8.1.3-6_all.deb
 4ac42dd61c563911ce2781bf7f001ff1 31656 database optional hsqldb-utils_1.8.1.3-6_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJP5KX1AAoJEAqgRXHQPj5wQOoQANHlHfrXtlh5cgdLeYsXAE5j
qmUkPIZAdHeb6py0gjvejpnjy9bvWhW7g7zYL7rsZhRN0ykqMhCneqq11Ltt+NPL
fpAyjIBX5Ea/Xefu8zV4ZWwDa9S9Q4iToMMyFYt0V/mBOEyy5Yr0Qa2pHj9xZ1Lk
RSY+ORR3spPoxYqzdrcsdWboShR6mON2Z0hgMWowAuP6rsq81DNPeN84qbHb5B5d
zk/3dcO1ERI+RO4GWda6NW6tl8MSPXwTVHW6iWqmJWnbyd6hBn6ICgsn/SRouw/q
DQk3eZII+mIQOA37l3M9HaiIkhH1DPPa1tNgVUscIoheepiGvjs6BGNe94Npz7hH
IrpIeLZ7a+DDgpIYxq0EnIzxeHThgFUPm2pz70+iibwMKw8aJZdOo25bwLyYcZaU
Bt0GiHQ4WVhVdj27orMpp6P9YHcLQD2scQOW2vPvPXpPBmMVsuEHBPcwup8PfNQ+
N9mjR3QdioyXJe5Oxw0buT79DKVON3mE7TpQBtKWR+HX8EOgT/x/0OGJp6zdilvM
nDv2XcteRluPEnfkiecyQI/zEfAfmZWsLFOjxM8iUVml84n9CGFotU0v8HcAtEpY
6lhvrbrEaiV2c8E2tD+hEdGe/KCHsN4quXEuyaB3yKY1J5L10qv38GO6S1fEUIxl
QnEBzSI3DhihY+GwO3rI
=TAzP
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, Rene Engelhard <rene@debian.org>:
Bug#675834; Package src:hsqldb. (Thu, 12 Jul 2012 11:51:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lionel Elie Mamane <lionel@mamane.lu>:
Extra info received and forwarded to list. Copy sent to Rene Engelhard <rene@debian.org>. (Thu, 12 Jul 2012 11:51:18 GMT) Full text and rfc822 format available.

Message #35 received at 675834@bugs.debian.org (full text, mbox):

From: Lionel Elie Mamane <lionel@mamane.lu>
To: Rene Engelhard <rene@debian.org>
Cc: debian-bsd@lists.debian.org, 675834@bugs.debian.org, jmm@debian.org, 675495@bugs.debian.org
Subject: Re: Bug#675834: hsqldb: FTBFS: The import java.sql.SQLFeatureNotSupportedException cannot be resolved
Date: Thu, 12 Jul 2012 13:31:36 +0200
On Sun, Jun 03, 2012 at 06:07:33PM +0200, Rene Engelhard wrote:
> On Sun, Jun 03, 2012 at 05:44:59PM +0200, Christoph Egger wrote:
>> Your package failed to build on the kfreebsd-* buildds:

> More: s/on the kfreebsd-* buildds/with gcj/

> Interesting. This should be JAVA7 only:

> +//#ifdef JAVA7
> +    public Logger getParentLogger() throws SQLFeatureNotSupportedException
> +    {
> +        throw new SQLFeatureNotSupportedException("Not supported yet.");
> +    }
> +
> +//#endif JAVA7

It should, but is not, because the way the preprocessing was applied
is buggy.

See http://cgit.freedesktop.org/libreoffice/core/commit/?id=69273cdd675b205b6f47e9aab2872901c03be578

> But maybe we should just stop the native compilation, which makes this a pure
> _all package and then it can build everywjere (and we can then ignore that this
> is not building on gcj archs as noone seriously will build there for _all
> packages)

I'd rather avoid a situation where one of our arches cannot build one
of the packages that it ships: this makes users of this arch unable to
patch their package, and thus to make use of the software freedom.

-- 
Lionel




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#675834; Package src:hsqldb. (Thu, 12 Jul 2012 12:00:48 GMT) Full text and rfc822 format available.

Acknowledgement sent to Rene Engelhard <rene@debian.org>:
Extra info received and forwarded to list. (Thu, 12 Jul 2012 12:01:00 GMT) Full text and rfc822 format available.

Message #40 received at 675834@bugs.debian.org (full text, mbox):

From: Rene Engelhard <rene@debian.org>
To: Lionel Elie Mamane <lionel@mamane.lu>
Cc: debian-bsd@lists.debian.org, 675834@bugs.debian.org, jmm@debian.org, 675495@bugs.debian.org
Subject: Re: Bug#675834: hsqldb: FTBFS: The import java.sql.SQLFeatureNotSupportedException cannot be resolved
Date: Thu, 12 Jul 2012 13:47:27 +0200
Hi,

On Thu, Jul 12, 2012 at 01:31:36PM +0200, Lionel Elie Mamane wrote:
> It should, but is not, because the way the preprocessing was applied
> is buggy.
> 
> See http://cgit.freedesktop.org/libreoffice/core/commit/?id=69273cdd675b205b6f47e9aab2872901c03be578

Ah, OK, thanks, will try to update the patch...

Regards,

Rene




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 10 Aug 2012 07:26:38 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 11:51:28 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.